000037572 - Not be able to upgrade RSA Archer after relocating Configuration/Instance Databases from Microsoft SQL Server 2014 to 2016 Service Pack 1 or greater

Document created by RSA Customer Support Employee on Jun 9, 2019
Version 1Show Document
  • View in full screen mode

Article Content

Article Number000037572
Applies ToRSA Product Set: Archer
RSA Product/Service Type: RSA Archer (On-Premise)
RSA Version/Condition: 6.5 and 6.6
Platform: Windows Server 2012 R2 and Windows Server 2016/ Microsoft SQL Server 2016 Service Pack 1 or greater
IssueWhen the Configuration/Instance Databases are relocated from Microsoft SQL 2014 to 2016 Service Pack 1 or greater, during upgrading Archer the user receives a warning message "The RSA Platform is only compatible with SQL Server 2016 SP1 or Greater. Please ensure the database you have selected is a SQL Server SP1 database or greater and configured at Compatibility level 130 or greater." 

There are two seniors user the user receives the above warning message:
  • Relocating the Configuration/Instance Databases from the Microsoft SQL Server 2014 to 2016 Service Pack 1 or greater does not allow the Archer installer to process with the upgrade.

User-added image


  • Relocating the Configuration/Instance Databases from the Microsoft SQL Server 2014 to 2016 Service Pack 1 or greater does not allow the Archer Control Panel to create and save a new Instance.

User-added image


 
TasksThe Purpose of this Article is to explain how to troubleshoot the warning message the user receives during upgrading Archer after relocating Configuration/Instance Databases from Microsoft SQL 2014 to 2016 Service Pack 1 or greater.

Archer 6.5 and 6.5 are supporting the following version of the Microsoft SQL Server 2016
  1. Microsoft SQL Server 2016 with Service Pack 1 or higher is qualified.
  2. Microsoft SQL Server 2016 Enterprise Edition is qualified.
  3. Microsoft SQL Server 2017 is qualified

Reference 
Link to the RSA Archer 6.5 Qualified and Supported Environments
https://community.rsa.com/docs/DOC-97473

Link to the RSA Archer 6.6 Qualified and Supported Environments
https://community.rsa.com/docs/DOC-102657

Getting Future Ready: Database Edition
https://community.rsa.com/community/products/archer-grc/archer-customer-partner-community/blog/2018/09/13/getting-future-ready-database-edition

Note
SQL Server 2016 Standard Edition will NOT be supported.
 
ResolutionStep 1: Identify the version of Microsoft SQL for both Configuration/Instance Databases
  • Login to Microsoft SQL Server Management Studio
  • Right Click the Instance Database > New Query
  • Type in SELECT @@VERSION

User-added image


Step 2: Identify the Compatibility Level  for both Configuration/Instance Databases


  • Login to Microsoft SQL Server Management Studio
  • Right Click the Instance Database > Properties
    • Check the “Compatibility Level
        User-added image
Step 3: Change the Compatibility Level  for both Configuration/Instance Databases

  • Set both Configuration/Instance Databases to SQL Server 2016 (130) or higher
  • Click OK

User-added image

Attachments

    Outcomes